import React from 'react';
import './css/CTableInput.less';
import { Calendar, Combo, ComponentProps } from '@clake/react-bootstrap4';
interface Props extends ComponentProps {
    data?: any;
    align?: string;
    disabled?: boolean;
    combo?: any;
    comboData?: any;
    calendar?: any;
    onChange?: (evt: any, val: any, row?: any) => void;
    onSelect?: () => void;
    onFocus?: (e: any) => void;
    onBlur?: (e: any) => void;
    readOnly?: boolean;
    calendarFormat?: string;
}
interface State {
    value: string;
    comboData: any;
}
declare class CTableInput extends React.Component<Props, State> {
    input: HTMLInputElement;
    calendar: Calendar;
    combo: Combo;
    constructor(props: any);
    componentDidMount(): void;
    UNSAFE_componentWillReceiveProps(nextProps: Props): void;
    shouldComponentUpdate(nextProps: Props, nextState: State): boolean;
    parseValue(val: any): string;
    getClasses(): string;
    changeHandler: (e: any) => void;
    dblHandler: (e: any) => void;
    selectHandler: (val: any, row: any, e: any) => void;
    calendarSelectHandler: (val: any, e: any) => void;
    render(): JSX.Element;
    renderCombo(): JSX.Element | null;
    renderCalendar(): JSX.Element | null;
}
export default CTableInput;
//# sourceMappingURL=CTableInput.d.ts.map