import React from 'react';
import './css/TopMenu.less';
import { ComponentProps } from '@clake/react-bootstrap4';
interface Props extends ComponentProps {
    top?: boolean;
    onClick?: (key: string) => void;
}
interface State {
}
interface ItemProps extends ComponentProps {
    text?: string;
    parent?: any;
    onClick?: (key: string) => void;
    name: string;
}
interface ItemState {
}
export declare class Item extends React.PureComponent<ItemProps, ItemState> {
    parent: any;
    domId: string;
    menu: any;
    dom: any;
    constructor(props: any);
    componentDidMount(): void;
    clickHandler: (e: any) => void;
    getClasses(): string;
    changeActive: (e: any) => void;
    closeHandler: (e: any) => void;
    render(): JSX.Element;
}
export declare class TopMenu extends React.PureComponent<Props, State> {
    static Item: typeof Item;
    cur_active: any;
    is_active: boolean;
    constructor(props: any);
    componentDidMount(): void;
    clickHandler: (key: any) => void;
    getClasses(): string;
    render(): JSX.Element;
}
export default TopMenu;
//# sourceMappingURL=TopMenu.d.ts.map