declare namespace _default {
    let plugins: any[];
    namespace output {
        let path: string;
        let filename: string;
        let chunkFilename: string;
        let libraryTarget: string;
        let library: string;
    }
    namespace module {
        let rules: ({
            test: RegExp;
            use: string[];
            exclude?: undefined;
        } | {
            test: RegExp;
            use: string;
            exclude?: undefined;
        } | {
            test: RegExp;
            use: {
                loader: string;
                query: {
                    presets: string[];
                };
            };
            exclude: RegExp;
        } | {
            test: RegExp;
            use: (string | {
                loader: string;
                query: {
                    presets: string[];
                };
            })[];
            exclude: RegExp;
        })[];
    }
    namespace resolve {
        let extensions: string[];
    }
    namespace node {
        let fs: string;
    }
    let externals: {
        jquery: string;
        react: string;
        "react-dom": string;
        zepto: string;
        marked: string;
        moment: string;
        bootstrap: string;
    };
}
export default _default;
//# sourceMappingURL=webpack.common.d.ts.map